import request from '@/utils/request'

// 查询公司列表
export function listMallCompany(query) {
  return request({
    url: '/mall/mallCompany/list',
    method: 'get',
    params: query
  })
}

// 查询公司详细
export function getMallCompany(companyId) {
  return request({
    url: '/mall/mallCompany/' + companyId,
    method: 'get'
  })
}

// 新增公司
export function addMallCompany(data) {
  return request({
    url: '/mall/mallCompany',
    method: 'post',
    data: data
  })
}

// 修改公司
export function updateMallCompany(data) {
  return request({
    url: '/mall/mallCompany',
    method: 'put',
    data: data
  })
}

// 删除公司
export function delMallCompany(companyId) {
  return request({
    url: '/mall/mallCompany/' + companyId,
    method: 'delete'
  })
}

// 查询公司
export function getCompany() {
  return request({
    url: '/mall/mallCompany/getCompany',
    method: 'get',
  })
}

// 重置密码
export function updateMallCompanyResetPwd(data) {
  return request({
    url: '/mall/mallCompany/resetPwd',
    method: 'put',
    data: data
  })
}
